:root {
	--border: #eaeaea;
}

.post-card {
	position: relative;

	& .image__img {
		transition: all 0.3s ease;
	}
}

.post-card__title {
	font-size: inherit;

	&:hover {
		@media (--m) {
			& .post-card__link {
				color: var(--primary);
			}
		}
	}
}

.post-card__link {
	@mixin large-text;

	display: block;
	line-height: 1.5;
}

.post-card__footer {
	margin-top: auto;
}

.post-card--style-1 {
	background: var(--white);
	border-radius: var(--border-radius);
	overflow: hidden;
	box-shadow: 0 5px 20px rgba(34, 34, 34, 0.1);

	& .post-card__meta-category {
		padding: 3px 8px;
		font-size: 0.9125rem;
		border-radius: var(--border-radius);
	}

	& .post-card__main {
		padding: 30px 15px 0;
	}

	& .post-card__footer {
		padding: 15px;
	}

	& .post-card__meta {
		opacity: 0.85;
	}
}

.post-card--style-2 {
	& .post-card__wrapper {
		position: relative;
	}

	& .post-card__main {
		padding: 10px 0;
	}

	& .post-card__badge {
		padding: 3px 8px;
		bottom: 0;
		right: 0;
		background: rgba(0, 0, 0, 0.4);
	}

	& .post-card__meta-category {
		padding-left: 30px;

		&::before {
			content: '';
			position: absolute;
			top: 50%;
			left: 0;
			width: 25px;
			height: 2px;
			background: var(--secondary);
		}
	}
}

.post-card--style-3 {
	& .post-card__main {
		padding: 1em 0 0.25em;
	}

	& .post-card__meta {
		font-size: 0.85rem;
		opacity: 0.75;

		& span {
			margin-left: 0.25em;

			&:nth-child(-n + 1) {
				margin-left: 0;
			}
		}
	}

	& .post-card__meta-category {
		@media (--m) {
			&:hover {
				color: var(--primary);
			}
		}
	}
}

.post-card--style-4 {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	background: var(--white);
	border: 1px solid var(--border);
	box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
	border-radius: var(--border-radius);
	overflow: hidden;

	& .post-card__link {
		font-size: 1.15rem;

		@media (--m) {
			font-size: 1.25rem;
		}
	}

	& .post-card__main {
		flex: 1 1 0;
		padding: 15px 30px;
	}

	& .post-card__meta {
		opacity: 0.75;
		font-size: 0.85rem;
	}

	& .post-card__footer {
		border-top: 1px solid var(--border);
		padding: 15px 30px;
	}

	& .post-card__meta-category {
		padding: 3px 8px;
		font-size: 0.75rem;
		line-height: 1.5;
		border-radius: var(--border-radius);
	}
}

.post-card--style-5 {
	border: 1px solid var(--border);
	border-radius: 4px;
	overflow: hidden;

	&:hover {
		& .post-card__image {
			transform: scale(1.05);
		}
	}

	& .post-card__main {
		padding: 1.5em;
		font-weight: var(--font-bold);
		background-color: var(--white);
		position: relative;
		z-index: 1;
	}

	& .post-card__image {
		transition: 0.3s;

		&::before {
			padding-top: calc((252 / 380) * 100%);
		}
	}

	& .post-card__link {
		font-size: 1rem;

		@media (--s) {
			font-size: 1.25rem;
		}
	}
}
